* {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}

@import url('https://fonts.googleapis.com/css2?family=Bree+Serif&family=Caveat&family=IBM+Plex+Serif:wght@500&family=Kdam+Thmor+Pro&display=swap');

body {
  background-color: #647081;
}

@import url('https://fonts.googleapis.com/css2?family=Bree+Serif&family=Caveat&family=IBM+Plex+Serif:wght@500&family=Kdam+Thmor+Pro&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bree+Serif&family=Caveat&family=IBM+Plex+Serif:wght@500&family=Kdam+Thmor+Pro&display=swap');
/*font-family: 'Bree Serif', serif;
font-family: 'Caveat', cursive;
font-family: 'IBM Plex Serif', serif;
font-family: 'Kdam Thmor Pro', sans-serif;*/

.stylecolor {
  background-color: #273244;
  color: white;
}

.stylecol {
  color: cyan;
  font-size: 2.5rem;
}
#Education   h4:hover{
  border-bottom: 2px solid cyan;
}


/* navbar */


.devinfo {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-content: center;
  flex-wrap: wrap;
  align-items: center;
  margin: 4rem;
}

.sidebar {
  display: flex;
  /* justify-content: center;
  align-items: center; */
  position: sticky;
  height: 5vw;
  background-color: #273244;
  font-family: 'Kdam Thmor Pro', sans-serif;
}

.sidebar ul {
  display: flex;
  flex-wrap: wrap;

}

.set {
  width: 17rem;
  height: 18rem;
}
#side{
  display: none;
}
.sidebar ul li {

  padding: 1.5vw 1vw;
  cursor: pointer;
  list-style: none;
}

.sidebar ul li a {
  text-decoration: none;
  font-size: 1.5rem;
  color: white;
  font-family: 'Kdam Thmor Pro', sans-serif;
}
.sidebar ul li a:hover{
  color:cyan;
  animation: hoverbutton;
  border-bottom: 2px solid cyan;

  
}
/* h4:hover{

} */

@keyframes change {
  from{
width:0px  ;
  }
  to{
width: 60px;
  }
}
.devinfo a {
  font-size: 1.7rem;
  /* text-decoration:double; */
  /* text-shadow: 2px 2px blue; */
  color: cyan;
  font-weight: bold;

}

.devinfo a:hover {
  color: #32dbf4;
}

.wrapper {
  display: inline-flex;
}

.wrapper .static {
  color: #fff;
  font-size: 2rem;
  font-weight: 400;
  font-family: 'Kdam Thmor Pro', sans-serif;
}

.wrapper .dyanamic {
  margin-left: 15px;
  line-height: 90px;
  height: 85px;
  font-family: 'Kdam Thmor Pro', sans-serif;

  overflow: hidden;
}

.dyanamic li {
  color: cyan;
  list-style: none;
  font-size: 2.5rem;
  font-weight: 500;
  position: relative;
  top: -24px;
  animation: slide 10s steps(4) infinite;
}

@keyframes slide {
  100% {
    top: -360px;
  }


}


@keyframes typing {
  100% {
    left: 100%;
    margin: 0 -35px 0 35px;
  }


}

.dyanamic li span {
  position: relative;

}

/* button       */
.buttons {
  margin-top: 4vw;
}

.btn {
  padding: 1vw 1vw;
  border-radius: 22px;
  color: white;
  background-color: #273244;
  font-weight: bold;
  font-size: 1.5rem;
  margin: 0 3px;
  cursor: pointer;

}

.btn:hover {
  background-color: white;
  color: black;
  border: 2px solid cyan;
}


/* **********************skill section******************** */
.skillitem {

  height: 6px;
  border-radius: 3px;

  background-color: black;
  
  border-radius: 3px;
  margin: 1rem 2rem;
}



.skillcontainer {
  padding: 5px;
  font-family: 'Fira Sans', sans-serif;
  font-weight: 400;
  margin: 3rem 16rem;
  color: white;
}

.anim {
  background-color: cyan;
  height: 5px;
  border-radius: 3px;
  /* margin-top: 0px;
margin-left: 0px; */
  margin-right: 1rem;
  animation-name: marg;
  animation-duration: 4s;
  animation-delay: 2s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
}

@keyframes marg {
  from {
    margin-right: 51rem;
    background-color: cyan;

  }

  to {
    margin-right: 1rem;
    background-color: cyan;


  }

}
.anim2 {
  background-color: cyan;
  height: 5px;
  border-radius: 3px;

  margin-right: 17rem;
  animation-name: marg2;
  animation-duration: 4s;
  animation-delay: 2s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
}

@keyframes marg2 {
  from {
    margin-right: 51rem;
    background-color: cyan;

  }

  to {
    margin-right: 17rem;
    background-color: cyan;


  }

}

/* ***************************************** */


.intro p {
  font-family: 'source code pro', monospace;
  font-family: 'Dosis', sans-serif;
  margin: 12px;
  font-size: 2vw;
  font-weight: 500;
}

.intro h2 {
  font-family: 'Fira Sans', sans-serif;
  font-family: 'Bree Serif', serif;
  margin: 4vh;
  font-size: 5vh;

}

.intro {
  height: 100vh;
  width: 61vw;
  margin: 93px auto;
  
  flex-direction: column;
  justify-content: center;


}
.about{
  font-size: 1.6rem;
  color:white;
}

/* #about {
  border: 2px solid black;
  background-color: aquamarine;

} */

/* ***************project section */
div.scroll-container {
  background-color:#647081;
  overflow-x: auto;
  white-space: nowrap;
  padding: 10px;
  width: 100%;
}



* {
  box-sizing: border-box;
}



.container1 {
  position: relative;
  display: inline-block;
  max-width: 100%;
  /* Allow containers to expand as needed */
  vertical-align: top;
  /* Align containers to the top */
  white-space: normal;
  /* Allow text content to wrap */
}

.image1 {
  display: block;
  margin: 1rem 3rem;
  height: 19rem;
  width: 22rem;

  border: 2px solid black;
  border-radius: 18px;
}


.overlay {
  position: absolute;
  bottom: 55px;
  background: rgb(0, 0, 0);
  background: rgba(0, 0, 0, 0.5);
  /* Black see-through */
  /* color:cyan; */
  width: 80%;
  transition: .5s ease;
  opacity: 0;
  color: white;
  font-size: 20px;
  padding: 20px;
  margin-left: 46px;
  text-align: center;
}

.container1 a {

  text-decoration: none;
  margin: 0rem 7rem;
  color: white;
  font-size: 1.5rem;
}

/* When you mouse over the container, fade in the overlay title */
.container1:hover .overlay {
  opacity: 1;
}
.borders:hover{
  border: 4px solid cyan;
}
/**************************for mobile */
@media (max-width:500px) {
  *{
    font-size: 1rem;
  }
  .intro h2 {
    margin: 2vh;
    font-size: 1rem;
  }

  #side{
    display: block;
  }
  .toggle {
    height: 14vw;
    font-size: 0.3rem;
    display: flex;
    justify-content: flex-start;
}
  .toggle ul {
    display: flex;
    flex-direction: column;
    margin-left:120% ;
}.toggle ul li{
  padding: 0%;
}
.sidebargo span {
  display: flex;
  border: 2px solid black;
  background: white;
  height: 1rem;
  width: 3rem;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

  p {
    font-family: 'Fira Sans', sans-serif;

  }
  .dyanamic li{
    display: none;
    font-size: 1rem;
    top: -10px;
  }

  .dyanamic li span::after {
    content: "";
    position: relative;
    left: 0;
    height: 95%;
    width: 100%;
    background-color: #647081;
    /* border-left: 2px solid #fc6d60; */
    animation: typing 1.5s steps(10) infinite;
  }
.wrapper{
  display: none;
}
  .wrapper .static {
    display: none;
    color: #fff;
    font-size: 2rem;
    font-weight: 400;
    font-family: 'Kdam Thmor Pro', sans-serif;
    margin-top: 11px;
}
  #nav{display: none;

  }
  .btn{
    padding: 2vw 2vw;
    font-size: 1rem;
  }
  .devinfo a{
    font-size: 1rem;
  }
  .about{
    font-size: 1rem;
  }
  .image1{
    margin: 0rem;
  }
  .skillcontainer{
    margin: 0rem;
  }
  .anim2{
    margin-right: 5rem;
    animation-name: marg3;
    animation-duration: 4s;
    animation-delay: 2s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
  }
  @keyframes marg3 {
    from {
      margin-right: 51rem;
      background-color: cyan;
  
    }
  
    to {
      margin-right: 5rem;
      background-color: cyan;
  
  
    }
    
  }
}

